RUN-PARTS(8)

NAME
run-parts - Skripte oder Programme in einem Verzeichnis ausführen

ÜBERSICHT

run-parts [--test] [--verbose] [--debug] [--report] [--lsbsysinit] [--regex=RE] [--umask=umask] [--arg=argument] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] DIRECTORY

run-parts -V

BESCHREIBUNG

run-parts führt alle ausführbaren Dateien im Verzeichnis Verzeichnis aus, wobei die Namen den unten beschriebenen Randbedingungen genügen müssen. Andere Dateien und Verzeichnisse werden ohne Rückmeldung ignoriert. Falls weder die Option »--lsbsysinit« noch die Option »--regex« angegeben werden, dann müssen die Namen komplett aus ASCII-Groß- und -Kleinbuchstaben, ASCII-Ziffern, ASCII-Unterstrichen und ASCII-Minuszeichen bestehen. Falls die Option »--lsbsysinit« angegeben ist, dürfen die Namen nicht in ».dpkg-old«, ».dpkg-dist«, ».dpkg-new« oder ».dpkg-tmp« enden und müssen zu einem der folgenden Namensräume gehörten: dem LANANA-zugewiesenen Namensraum (^[a-z0-9]+$), den hierarchischen und reservierten LSB-Namensräumen (^_?([a-z0-9_.]+-)+[a-z0-9]+$) und dem Debian-Cron-Skript-Namensraum (^[a-zA-Z0-9_-]+$). Falls die Option »--regex« angegeben ist, müssen die Namen auf den angepassten erweiterten regulären Ausdruck passen, der der Option übergeben wurde. Files are run sequentially in the lexical sort order (according to the C/POSIX locale character collation rules) of their names unless the --reverse option is given, in which case they are run in the opposite order.

OPTIONEN

--test
    gibt die Namen der Skripte aus, die ausgeführt würden. Eine Ausführung findet aber nicht statt.

--list
    gibt die Namen aller passenden Dateien (nicht begrenzt auf ausführbare Dateien) aus, führt diese aber nicht aus. Diese Option kann nicht zusammen mit »--test« verwandt werden.

-v, --verbose
    gibt vor der Ausführung jedes Skriptes den Namen auf Stderr aus.

--report
    ähnlich zu --verbose, gibt aber nur die Namen der Skripte aus, die eine Ausgabe erstellen. Die Namen der Skripte werden entweder auf Stdout oder Stderr ausgegeben, abhängig davon, wo das erste Skript seine Ausgabe hin ausgibt.

-d, --debug
    print to stderr which scripts get selected for running and which don't.

--reverse
    invertiert die Reihenfolge der Ausführung.

--exit-on-error
    beenden, sobald ein Skript mit einem von Null verschiedenen Exit-Code zurückkehrt.

--lsbsysinit
    LSB-Namensräume statt des klassischen Verhaltens verwenden.

--new-session
    jedes Skript in einer separaten Prozesssitzung ausführen. Falls Sie diese Option verwenden, wird das Töten (»killen«) von Run-parts nicht das aktuell laufende Skript töten, welches bis zum Ende durchlaufen wird.

--regex=RE
    prüfen von Dateinamen gegen angepassten erweiterten regulären Ausdruck RE. Sie finden im Abschnitt BEISPIELE ein Beispiel dazu.

-u, --umask=Umask
    setzt vor der Ausführung der Skripte die Umask auf Umask. Umask sollte oktal angegeben werden. Standardmäßig ist die Umask auf 022 gesetzt.

-a, --arg=Optionen
    gibt Optionen an die Skripte weiter. Verwenden Sie für jede weiterzugebende Option einmal --arg.

--  gibt an, dass hier die Optionen enden. Jeder Dateiname nach -- wird nicht als Option interpretiert, selbst wenn er mit einem Minuszeichen beginnt.

-h, --help
    zeigt die Benutzungsinformationen an und beendet das Programm.

-V, --version
    zeigt die Version und das Copyright an und beendet das Programm.

BEISPIELE

Die Namen aller Dateien in /etc ausgeben, die mit »p« beginnen und mit »d« enden:

run-parts --list --regex '^p.*d$' /etc

COPYRIGHT

Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Clint Adams run-parts ist freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt keine Haftung.

ÜBERSETZUNG
Diese Übersetzung wurde 2011 von Helge Kreutzmann erstellt. Sie unterliegt der GNU GPL Version 2 (oder neuer). Um die englische Originalversion zu lesen, geben Sie »man -L C BEFEHL« ein. Fehler in der Übersetzung melden Sie bitte über die Fehlerdatenbank (BTS) von Debian oder indem Sie eine E-Mail an <debian-l10-german@lists.debian.org>, schreiben.